| FFmpegKit iOS / macOS / tvOS API 4.5

Typedefs
ExecuteCallback.h File Reference

Go to the source code of this file.

## Typedefs
typedef void(^ | ExecuteCallback) (id< Session > session)

## Typedef Documentation

## ◆ ExecuteCallback

typedef void(^ ExecuteCallback) (id< Session > session)

Callback invoked when an asynchronous session ends running.

Session has either SessionStateCompleted or SessionStateFailed state when the callback is invoked.

If it has SessionStateCompleted state, `ReturnCode` should be checked to see the execution result.

If `getState` returns SessionStateFailed then `getFailStackTrace` should be used to get the failure reason.

     switch ([session getState]) {
         case SessionStateCompleted:
             ReturnCode *returnCode = [session getReturnCode];
             break;
         case SessionStateFailed:
             NSString *failStackTrace = [session getFailStackTrace];
             break;
     }

Parameters

  session | session of the completed execution

Definition at line 46 of file ExecuteCallback.h.